Last Comment Bug 842008 - unable to delete saved search
: unable to delete saved search
Status: VERIFIED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: 21 Branch
: All All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: Sebastian Hengst [:aryx][:archaeopteryx]
:
Mentors:
Depends on:
Blocks: 795152
  Show dependency treegraph
 
Reported: 2013-02-16 01:41 PST by helkav
Modified: 2013-03-05 06:51 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch fixing typo, v1 (1.31 KB, patch)
2013-02-19 13:34 PST, Sebastian Hengst [:aryx][:archaeopteryx]
no flags Details | Diff | Splinter Review
patch fixing two typo, v2 (1.31 KB, patch)
2013-02-19 14:14 PST, Sebastian Hengst [:aryx][:archaeopteryx]
mkmelin+mozilla: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description helkav 2013-02-16 01:41:24 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0
Build ID: 20130201065344

Steps to reproduce:

created a saved search. was saved as virtual folder. later attempted to delete it. 


Actual results:

delete request is ignored, i.e. nothing happens


Expected results:

saved search should be deleted. messages found in search should be unaffected
Comment 1 :aceman 2013-02-19 03:41:42 PST
Anything in Tools->Error console AFTER the failed attempt to delete the folder?

But I can confirm this problem. I wonder if this worked in the past.
Comment 2 helkav 2013-02-19 07:00:20 PST
(In reply to :aceman from comment #1)
> Anything in Tools->Error console AFTER the failed attempt to delete the
> folder?
> 
> But I can confirm this problem. I wonder if this worked in the past.

nothing in error console
Comment 3 :aceman 2013-02-19 12:34:22 PST
Ok, I see the problem, there is a typo from a recent change.

Tue Feb 19 2013 21:27:17
Error: ReferenceError: Servics is not defined
Source file: chrome://messenger/content/folderPane.js
Line: 2146

if (Servics.prompts
           .confirmEx(window, title, confirmation,

I assume Aryx will clean it up :)
Comment 4 Sebastian Hengst [:aryx][:archaeopteryx] 2013-02-19 13:34:50 PST
Created attachment 715678 [details] [diff] [review]
patch fixing typo, v1
Comment 5 Sebastian Hengst [:aryx][:archaeopteryx] 2013-02-19 14:14:09 PST
Created attachment 715705 [details] [diff] [review]
patch fixing two typo, v2

There was a second typo in that line (or the cursor had been shifted one byte to the left), also fixing that.
Comment 6 Magnus Melin 2013-02-21 04:15:23 PST
Comment on attachment 715705 [details] [diff] [review]
patch fixing two typo, v2

Review of attachment 715705 [details] [diff] [review]:
-----------------------------------------------------------------

nice catch, r=mkmelin!
Comment 7 :aceman 2013-02-21 05:27:19 PST
(In reply to Archaeopteryx [:aryx] from comment #5)
> Created attachment 715705 [details] [diff] [review]
> patch fixing two typo, v2
> 
A typo in the description of a patch fixing a typo :) Nice one, Aryx ! :)

[missing 's']
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-02-21 10:18:05 PST
https://hg.mozilla.org/comm-central/rev/f10a1c2973fd
Comment 9 helkav 2013-02-23 06:45:09 PST
retested on daily 22-02-2013. fixed. nice one! thanks Aryx
Comment 10 :aceman 2013-02-23 13:04:57 PST
Comment on attachment 715705 [details] [diff] [review]
patch fixing two typo, v2

The original breaking patch went into TB20 so we may want to fix it there too.

[Approval Request Comment]
Regression caused by (bug #): bug 842008
User impact if declined: inability to delete virtual folder
Testing completed (on c-c, etc.): TB22
Risk to taking this patch (and alternatives if risky): none
Comment 11 Mark Banner (:standard8) 2013-03-05 03:30:51 PST
Comment on attachment 715705 [details] [diff] [review]
patch fixing two typo, v2

a=me
Comment 12 Mark Banner (:standard8) 2013-03-05 06:39:36 PST
https://hg.mozilla.org/releases/comm-aurora/rev/42e9558e7cc3
Comment 13 Mark Banner (:standard8) 2013-03-05 06:51:31 PST
https://hg.mozilla.org/releases/comm-beta/rev/fa8307cf2bda

Note You need to log in before you can comment on or make changes to this bug.